<script setup>
defineProps({
  action: String,
  info: Object
})

const tab = ref('user_mail')
const tabs = ref([
  {value: 'user_mail', text: 'User Mail'},
])

const openTab = async (val) => {
  if(tab.value !== val) {
    tab.value = val
    sessionStorage.setItem('user_profile_detail_record', tab.value)
  }
}
onMounted(() => {
  const getSessionStorageTab = sessionStorage.getItem('user_profile_detail_record')
  if(getSessionStorageTab) {
    openTab(getSessionStorageTab)
  }
})
</script>

<template>
  <div class="bt-2px_dashed_hexe2e2e2">
    <DetailRecordTab v-model="tab" :tabs="tabs" @handler="(val) => openTab(val.value)" />
    <AdminUserDetailRecordMail v-if="tab === 'user_mail'" :action="action" :info="info" />
  </div>
</template>